import request from '@/utils/request'

// 查询人员列表
export function listMaterial(query) {
	return request({
		url: '/quality/material/userList',
		method: 'get',
		params: query
	});
}

// 查询人员物料绑定详细
export function getMaterial(userCode) {
	return request({
		url: '/quality/material/' + userCode,
		method: 'get'
		});
}

// 新增人员物料绑定
export function addMaterial(data) {
	return request({
		url: '/quality/material',
		method: 'post',
		data: data
	});
}

// 修改人员物料绑定
export function updateMaterial(data) {
	return request({
		url: '/quality/material',
		method: 'put',
		data: data
	});
}

// 删除人员物料绑定
export function delMaterial(id) {
	return request({
		url: '/quality/material/' + id,
		method: 'delete'
	});
}
